#!/bin/bash

set -e
cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1



# setting inital variables
DIR="."
BACKUPDIR="/mnt/vol2/docker-backups"
DATETIME="$(date +'%d-%m-%Y_%H-%M-%S')"
FILENAME=$(basename $(pwd))-${DATETIME}.tar.zst

#Docker down
docker compose down

#Compress files into backdir
tar --zstd -cf $BACKUPDIR/$FILENAME $DIR

#docker up
docker compose up -d



##How to decompress file
## tar -I zstd -xf bitwarden*.tar.zst
